Bug 601315 - gfs2_convert manpage and documentation updates
gfs2_convert manpage and documentation updates
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: cluster (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Abhijith Das
Cluster QE
: Documentation
Depends On: 588374
Blocks: 594510 605371
  Show dependency treegraph
 
Reported: 2010-06-07 12:28 EDT by Abhijith Das
Modified: 2010-11-10 14:59 EST (History)
10 users (show)

See Also:
Fixed In Version: cluster-3.0.12-9.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 588374
Environment:
Last Closed: 2010-11-10 14:59:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Abhijith Das 2010-06-07 12:28:49 EDT
+++ This bug was initially created as a clone of Bug #588374 +++

The recent fixes/updates to gfs2_convert changes its behavior in a few cases such as handling of CDPNs, converting full filesystems etc. This needs to be documented in the manpage and the gfs2-utils documentation.

--- Additional comment from slevine@redhat.com on 2010-05-20 16:11:41 EDT ---

Abhi:

Just for reference (to keep this info attached to this bug), here's the current RHEL 5 gfs2_convert documentation. I'll need to run it by you for review.

http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/5/html/Global_File_System_2/gfs_upgrade.html

Here's the RHEL 6 version (for completeness's sake):

http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6/html/Global_File_System_2/gfs_upgrade.html

--- Additional comment from adas@redhat.com on 2010-05-20 16:37:46 EDT ---

Created an attachment (id=415505)
manpage update to document recent changes to gfs2_convert

--- Additional comment from slevine@redhat.com on 2010-05-20 17:23:05 EDT ---

Abhi: 

Is this for 6.0 as well?

I'll file a separate bug to update the gfs2 document for 5.6, to add these additional caveats.

I'm not sure if you were looking for an edit of the updates to the man page, or just feedback on the clarity of the information. It all seems clear enough to me, but I might slightly change these wordings (although they are not incorrect, per se):

> It is possible to reissue the gfs2_convert command on such a filesystem to
> completely convert it to GFS2.

The "it is possible to" is a little unclear. It may be possible to reissue the command, but is that what we're saying is the procedure?  Maybe something like:

  When this occurs, reissue the gfs2_convert command on the partially converted
  filesystem to complete the conversion process.

> The administrator can use bind mounts on these directories to get
> the same effect of CDPNs.

Very tiny, but I'd say "as CDPNs" rather than "of CDPNs".

As I say, I'll open a separate bug for my document for 5.6. If this information applies to 6.0, I'll open a bug for that as well.

--- Additional comment from slevine@redhat.com on 2010-05-21 13:21:56 EDT ---

The new bug for the GFS2 manual is BZ#594510
Comment 1 RHEL Product and Program Management 2010-06-07 13:05:01 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Abhijith Das 2010-06-25 17:41:07 EDT
Checked the above fix into stable3 and master branches.
Comment 4 Nate Straz 2010-09-21 17:20:21 EDT
Verified new language is included in gfs2_convert man page.
Comment 5 releng-rhel@redhat.com 2010-11-10 14:59:22 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.